MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028658Open CASCADE[OCCT] OCCT:Configurationpublic2017-04-17 17:302017-09-29 16:25
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028658: Cannot execute DRAW.exe with draw.bat
DescriptionThe problem has been detected on the current MASTER (IR-2017-04-13) only.

When launching draw.bat file, error message is appeared: "Could not find FreeImage.dll" despite enabling "USE_FREEIMAGE" checkbox in cmake-gui.

More over, attached file custom_vc12_64.bat does not set any value for FREEIMAGE_DIR variable.
Steps To ReproduceCall
 draw.bat vc12 win64 Release

from build-directory.
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon custom_vc12_64.bat (1,417 bytes) 2017-04-17 17:30

- Relationships
related to 0028335closedbugmaster Configuration, Cmake - 3rdparty library names present in two places and aren't sync with each other 

-  Notes
(0065297)
git (administrator)
2017-04-18 14:53

Branch CR28658 has been created by ski.

SHA-1: 3da90febc3e1975ce55c5e020cff99cb51979b2b


Detailed log of new commits:

Author: ski
Date: Tue Apr 18 14:34:12 2017 +0300

    Name of Tcl/Tk libraries for search were updated.

Author: ski
Date: Tue Apr 18 12:48:53 2017 +0300

    0028658: Cannot execute DRAW.exe with draw.bat
    
    Macro THIRDPARTY_PRODUCT was updated to create separate variable which contains all used 3rdparty dll/library directories (used custom.bat/sh files).
(0065298)
git (administrator)
2017-04-18 15:31

Branch CR28658 has been updated by ski.

SHA-1: e7b0ae9b4a18c6f4c48ada37c9d3b3035a0f39e4


Detailed log of new commits:

Author: ski
Date: Tue Apr 18 15:30:57 2017 +0300

    Updated custom.sh files.

(0065301)
git (administrator)
2017-04-18 15:46

Branch CR28658 has been updated forcibly by ski.

SHA-1: 2570bd5d8d4a23b23873dbb3d0d347217f49b5b2
(0065303)
git (administrator)
2017-04-18 15:56

Branch CR28658 has been updated forcibly by ski.

SHA-1: a10b0c2585755f614177322d8613c64986f0deca
(0065304)
ski (developer)
2017-04-18 16:14

Dear ibs,

occt branch CR28658 contains next changes:

- Updated names of tcl/tk libraries for correct searching
- Macro THIRDPARTY_PRODUCT creates specific variables USED_3RDPARTY_***_DIRS and 3RDPARTY_***_LIBRARY_DIRS to use it in custom.bat/sh (both build and install directories)

please, review.
(0065344)
ibs (developer)
2017-04-19 14:32

there are no remarks
(0065969)
git (administrator)
2017-05-12 11:36

Branch CR28658 has been deleted by kgv.

SHA-1: a10b0c2585755f614177322d8613c64986f0deca

- Related Changesets
occt: master d51a0ff6
Timestamp: 2017-04-18 09:48:53
Author: ski
Committer: bugmaster
Details ] Diff ]
0028658: Cannot execute DRAW.exe with draw.bat

Macro THIRDPARTY_PRODUCT was updated to create separate variable which contains all used 3rdparty dll/library directories (used custom.bat/sh files).

Name of Tcl/Tk libraries for search were updated.
mod - adm/cmake/3rdparty_macro.cmake Diff ] File ]
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/templates/custom.build.bat.in Diff ] File ]
mod - adm/templates/custom.build.sh.in Diff ] File ]
mod - adm/templates/custom.install.bat.in Diff ] File ]
mod - adm/templates/custom.install.sh.in Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-17 17:30 nbv New Issue
2017-04-17 17:30 nbv Assigned To => ski
2017-04-17 17:30 nbv File Added: custom_vc12_64.bat
2017-04-18 12:54 ski Relationship added related to 0028335
2017-04-18 14:53 git Note Added: 0065297
2017-04-18 15:31 git Note Added: 0065298
2017-04-18 15:46 git Note Added: 0065301
2017-04-18 15:56 git Note Added: 0065303
2017-04-18 16:12 ski Status new => assigned
2017-04-18 16:14 ski Note Added: 0065304
2017-04-18 16:14 ski Assigned To ski => ibs
2017-04-18 16:14 ski Status assigned => resolved
2017-04-19 14:32 ibs Note Added: 0065344
2017-04-19 14:32 ibs Assigned To ibs => bugmaster
2017-04-19 14:32 ibs Status resolved => reviewed
2017-04-19 14:56 apv Test case number => Not needed
2017-04-19 14:56 apv Status reviewed => tested
2017-04-21 14:59 bugmaster Changeset attached => occt master d51a0ff6
2017-04-21 14:59 bugmaster Status tested => verified
2017-04-21 14:59 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065969
2017-09-29 16:19 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker